> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List available Slack conversations

> List Slack conversations accessible to the user via the live Nango connection.

Returns minimal channel metadata suitable for selection UIs. If required
scopes are missing, Slack's error is propagated with details.

Supports filtering by channels, including/excluding private channels, DMs,
group DMs, and archived channels based on the provided search options.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/hyperspell.yaml get /integrations/slack/list
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security:
  - APIKey: []
    AsUser: []
paths:
  /integrations/slack/list:
    get:
      tags:
        - Integrations
        - Integrations
      summary: List available Slack conversations
      description: >-
        List Slack conversations accessible to the user via the live Nango
        connection.


        Returns minimal channel metadata suitable for selection UIs. If required

        scopes are missing, Slack's error is propagated with details.


        Supports filtering by channels, including/excluding private channels,
        DMs,

        group DMs, and archived channels based on the provided search options.
      operationId: list_conversations_integrations_slack_list_get
      parameters:
        - name: channels
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
            description: 'List of Slack channels to include (by id, name, or #name).'
            default: []
            title: Channels
          description: 'List of Slack channels to include (by id, name, or #name).'
        - name: include_private
          in: query
          required: false
          schema:
            type: boolean
            description: Include private channels when constructing Slack 'types'.
            default: false
            title: Include Private
          description: Include private channels when constructing Slack 'types'.
        - name: include_dms
          in: query
          required: false
          schema:
            type: boolean
            title: Include Dms
            description: Include direct messages (im) when listing conversations.
            default: false
          description: Include direct messages (im) when listing conversations.
        - name: include_group_dms
          in: query
          required: false
          schema:
            type: boolean
            title: Include Group Dms
            description: Include group DMs (mpim) when listing conversations.
            default: false
          description: Include group DMs (mpim) when listing conversations.
        - name: exclude_archived
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Exclude Archived
            description: If set, pass 'exclude_archived' to Slack. If None, omit the param.
          description: If set, pass 'exclude_archived' to Slack. If None, omit the param.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
        - AsUser: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Hyperspell from '@hyperspell/hyperspell';

            const client = new Hyperspell({
              apiKey: process.env['HYPERSPELL_API_KEY'], // This is the default and can be omitted
            });

            const slacks = await client.integrations.slack.list();

            console.log(slacks);
        - lang: Python
          source: |-
            import os
            from hyperspell import Hyperspell

            client = Hyperspell(
                api_key=os.environ.get("HYPERSPELL_API_KEY"),  # This is the default and can be omitted
            )
            slacks = client.integrations.slack.list()
            print(slacks)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/hyperspell/hyperspell-go\"\n\t\"github.com/hyperspell/hyperspell-go/option\"\n)\n\nfunc main() {\n\tclient := hyperspell.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tslacks, err := client.Integrations.Slack.List(context.TODO(), hyperspell.IntegrationSlackListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", slacks)\n}\n"
        - lang: CLI
          source: |-
            hyperspell integrations:slack list \
              --api-key 'My API Key'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>
    AsUser:
      type: apiKey
      description: >-
        Optionally set this header to act as a specific user when using an API
        Key, equivalent to first exchanging the API Key for a User Token
      in: header
      name: X-As-User

````